Install Designer Manual

Welcome!

© 2019 - 2025 unSigned, s. r. o. All Rights Reserved.

www.install-designer.com | http://www.unsigned.sk | customers[at]unsigned.sk

Thank for your interest in Install Designer!

This manual describes main features of Install Designer – a user friendly tool for creating NSIS and Inno Setup dialogs without any scripting.

Install Designer is a standalone product - but it requires any edition of NSIS or Inno Setup to be installed.

We suppose that you have at least a little experience with NSIS (Nullsoft Scriptable Install System) or Inno Setup and with their script syntax and functions.


About

presents

Powerful and user friendly tool for creating NSIS and Inno Setup dialogs (setup Forms and Pages) without any scripting. It supports NSIS (Nullsoft Scriptable Install System) and Inno Setup and allows you to create and test dialogs without any programming knowledge!

Copyright © 2019 - 2025 unSigned, s. r. o. All Rights Reserved.

www.install-designer.com | www.unsigned.sk | customers[at]unsigned.sk


Contact and support

Technical support

Install Designer is still in an active development - we at unSigned, s. r. o. are still working hard on it and improving it to be even better!
Althought we are doing our best, you can find a bug in this product. In that case or if you have any question or problem regarding it, do not hesitate and contact us.
Use our support email below and we will contact you shortly. Usually we respond to all bug reports within one to two business days, and will try to resolve the problem as quickly as possible.

E-mail: customers[at]unsigned.sk

Technical support is available via email at no charge for all customers. Although, we keep trying to answer everyone regardless of whether you bought our product or not.
Before asking our support team, please read F.A.Q. (Frequently Asked Questions) where you can find most common questions and answers to them.

If something fails to work, please note the behavior that occurs, and then contact our support. The more details you can give concerning the problem you have encountered, the faster we will be able to solve it. We will want to know at least the following:

* The version of Install Designer that you are using as shown in the Readme file or in About box.
* Windows version (including service packs and other fixes installed) and regional settings
* Inno Setup version or NSIS version (also specify plug-ins or other tools if you use them).
* Please describe the problem in as much detail as possible (with a screenshot, if words fail).

Suggestions, Comments, Criticisms and Praise

If you have a suggestion on how we can improve Install Designer to make it more powerful or easier for you to use, we will be very happy to hear from you!
Please use email below to send us a suggestion. If you feel like cursing us for some reason, or sharing your praise, or just simply commenting on Install Designer, please don't hesitate to let us know.
Your feedback is important to us in order to get an idea of how to make Install Designer a better product for you.

E-mail: customers[at]unsigned.sk

Visit our website www.unsigned.sk for news, support, and discussion.
We believe that our web site is typically the quick and easy way to find the information you are looking for. For additional assistance, please submit your bug reports, comments or suggestions to email mentioned above.


Readme

====================
Install Designer
====================

Copyright (c) 2019 - 2025 unSigned, s. r. o.

For latest information visit http://www.install-designer.com/ or ask at: customers[at]unsigned.sk

=============
About
=============

Powerful and user friendly tool for creating NSIS and Inno Setup dialogs (setup Forms and Pages) without any scripting.

It supports NSIS (Nullsoft Scriptable Install System) and Inno Setup and allows you to create and test dialogs without any programming knowledge!

=========================
LICENSES AND COPYRIGHT
=========================

See file EULA.rtf for complete Install Designer license.

Additional licenses:

============
NSIS License
============

http://nsis.sourceforge.net/License

==================
Inno Setup License
==================

http://www.jrsoftware.org/files/is/license.txt


Overview

Powerful and user friendly tool for creating NSIS and Inno Setup dialogs (setup Forms and Pages) without any scripting. It supports NSIS (Nullsoft Scriptable Install System) and Inno Setup and allows you to create and test dialogs without any programming knowledge!

IDEs external

To begin the work check Starting with Install Designer section.

Some of it's features:

  • Works with any recent NSISProject icon NSIS and InnoSetupProject icon Inno Setup versions
  • Create setup dialogs with most common Windows controls and their most common properties
  • + some unique controls from NSISProject icon NSIS (nsDialogs)
  • + some unique controls from InnoSetupProject icon Inno Setup (Pascal Scripting Reference)
  • Creating setup Pages (TWizardPage) and Forms (TSetupForm) in InnoSetupProject icon Inno Setup
  • Creating Installer and Uninstaller Pages in NSISProject icon NSIS

  • WYSIWYG designer and immediate script preview
  • Unlimited Undo + Redo steps, Bring to Front/Send to Back (Z-order)
  • Single click to run the designed dialog in installer
  • Intuitive Drag & Drop tools for manipulation with controls (alignment, moving, resizing, ...)
  • Generating events (OnClick, OnDoubleClick, OnKeyDown, ...) with one click
  • Generating resulting script(s)
  • Syntax highlighting (coloring) for script preview
  • Hints and tips for writing scripts
  • Script optimizations

  • New version checking and notifications about changes
    (also for NSISProject icon NSIS and InnoSetupProject icon Inno Setup versions!)
  • Full version control system support
  • Dynamic help system
  • Easy to be integrated into existing installers or scripts

  • Dialogs work out of the box with Graphical Installer.

For detailed list of features visit Install Designer website. Please read Requirements if you have troubles with installation.


Requirements

Operating Systems

Install Designer is compatible with the following operating systems. Minimum service pack levels are indicated where applicable.
  • Windows 11 (all versions)
  • Windows 10 (all versions)
  • Windows 8 and 8.1 (all versions)
  • Windows 7 (x86 and x64, all versions)
  • Windows Vista (x86 and x64, all versions)
  • Windows XP Professional SP3 (x86 and x641)
  • Windows XP Media Center Edition SP3
  • Windows XP Home SP3
  • Windows Server 2008
  • Windows Server 2003 SP2

Performance

Install Designer requires little more than a system fast enough for software development.

Additional Requirements

For correct compiling NSIS or Inno Setup scripts you need to have installed:
  • Ansi or Unicode NSIS (version 2.20 or newer) or NSIS 3 - for creating NSIS Project icon NSIS dialogs - .nsh files.
  • Ansi or Unicode Inno Setup 5 (version 5.4.0 or newer) or Inno Setup 6 - for creating InnoSetuoProject icon Inno Setup dialogs - .iss files.


Starting with Install Designer

Install Designer functionality is divided into several windows:

RAD Studio

  • 1. Dialog Designer

    This is the most important part of Install Designer - the most of functionality is focused here (work with controls, ...)

  • 2. Toolbox

    Shows all available controls that can be used. Drag & Drop the controls from toolbox and place them in the designer.

  • 3. Properties

    Shows information about selected control and allows you to edit controls properties and their values.

  • 4. Script Preview

    Shows resulting NSIS and Inno Setup scripts that is a result of the dialog above - and with Install Designer it is pretty fast!

  • 5. Install Designer menu and Toolbar

    In this menu you can find the basic functionality - working with files, windows, controls and some other usefull dialogs.

    Toolbar offers quick acces to most common actions used for creating the dialogs - which saves you a lot of time!

    To adjust Install Designer properties use the Settings item in this menu.

For detailed list of features visit Install Designer website. Please read Requirements if you have troubles with installation.


Install Designer - Settings

In this dialog you can adjust most of the Install Designer properties. Certain options are common for both projects: NSIS and Inno Setup.

RAD Studio - Settings

Dialog is divided into three parts:

  • 1. Tree with categories (in the left)

    Install Designer options are divided into several categiories. Every category covers different features.

  • 2. Panel with options (in the right)

    After you click category node in the Tree the right area is updated and appropriate options are shown.

  • 3. Control buttons (at the bottom)

    Use the OK button to save your changes. Clicking the Cancel button discards all changes and closes the Settings dialog.

Warning:
Some settings may require the Designer reload or the Application restart.

For detailed list of features visit Install Designer website. Please read Requirements if you have troubles with installation.


MessageBoxDesigner.exe

Windows application with user friendly GUI (Graphical User Interface) for fast and easy creating of MessageBox instructions (script generator).
Application is present in newer packages of Graphical Installer (the same version): Graphical Installer for NSIS and Graphical Installer for Inno Setup.

Tip: Work with this application is very simple and we recommend you to use it to save a lot of time during writing installation scripts.
It is a modern Windows application with intuitive and user friendly GUI and it is suitable for inexperienced users too.

Usage:

  • Start the application if it is not running - by clicking its icon in Start menu or directly by launching it. (The application is located in Graphical Installer installation directory - C:\ProgramData\Install Designer). Main window opens.

    MessageBoxDesigner - Main window

  • Step #1: Select icon of your desired MessageBox dialog on the left. You may choose 'None' for no icon (all icons are standard Windows icons).

  • Step #2: Enter text which should be displayed in your desired MessageBox dialog.

  • Step #3: Select buttons which your desired MessageBox dialog should contain.

    • - If you choose multiple options (like Yes/No or OK/Cancel, ...) you may specify the Return value - code that will be executed when selected button in your desired MessageBox dialog is clicked

    • - If you choose multiple options (like Yes/No or OK/Cancel, ...) you may specify which button will be default (selected)

    You can click the Preview button to show preview of your desired MessageBox dialog. Preview is based on values you chose.
    MessageBox dialog is shown - you can close it with the ESC key.

    MessageBoxDesigner - Preview

  • Step #4: Generate resulting script by clicking the OK button. The resulting code is shown in new window.

    MessageBoxDesigner - Code

    • - Click Copy to Clipboard and Quit button to copy generated code and quit the application

    • - To edit you selection and change your desired MessageBox dialog click 'Go Back (Edit data)' button

    • - To quit without any change click the 'Quit' button

    Resulting code is copied to clipboard and you can paste it into your editor.

  • Tip: If you are running application directly (double-clicking the .exe file in installation folder) you may see the NSIS or Inno Setup selection dialog.

    MessageBoxDesigner - Select NSIS or Inno Setup

    To skip this dialog launch the application with /NSIS or /INNO (/INNOSETUP) parameter.


F.A.Q. (Frequently Asked Questions)

To see most recent FAQ (Frequently Asked Questions) please visit Install Designer homepage at: www.install-designer.com/faq.html.

Please read Requirements if you have troubles with installation.


Changelog

This document contains the most latest information about Install Designer. The most recent version is at the top.

Version 1.0.2.14

Release: 2025-03-20
  • Support for InnoSetupProject icon Inno Setup 6.4.2 (this also includes Inno Setup 6.4.1 and 6.4.0, see changes)
  • Support for InnoSetupProject icon Graphical Installer for Inno Setup 6.4.1 and Graphical Installer Wizard Build 2025.1(see changes)
  • Fixed (several) Null Reference Exception(s) in the code when creating / loading dialog(s)
  • Support for NSISProject icon NSIS 3.11 (see changes)
  • Support for NSISProject icon Graphical Installer for NSIS, Build 2025.1 with Graphical Installer Wizard (see changes)
  • Improved Dark Theme elements
  • Install Designer now works with NSIS 64 bit - unofficial port of NSIS for 64 bit from https://github.com/negrutiu/nsis
    This port can produce native x86 and amd64 installers, compatible with all Windows versions (NT4+)

Version 1.0.2.13

Release: 2024-11-03
  • Support for InnoSetupProject icon Inno Setup 6.3.3 (this also includes Inno Setup 6.3.2, 6.3.1 and 6.3.0, see changes)
  • Support for InnoSetupProject icon Graphical Installer for Inno Setup 6.3.3 and Graphical Installer Wizard Build 2024.1(see changes)
  • Script Editor window now automatically receive focus [ InnoSetupProject icon + NSISProject icon] to make editing easier
  • Added new Validator: Body Event Validator [ InnoSetupProject icon + NSISProject icon] which validates whether Body has appropriate Event set.
    Currently: "OnClick", "OnDblClick", "OnKeyDown", "OnKeyUp", "OnKeyPress", "OnChange", "OnBack", "OnBackButtonClick", "OnCancelButtonClick"
  • Clicking the Status Bar now navigates to the script file ( InnoSetupProject icon .iss or NSISProject icon.nsh) or .designer file (of currently active frame)
  • App now supports Dark Theme: can be set in Settings dialog (by default Light Theme is used).
    Dark Theme is applied to the GUI of the app (windows, dialogs, ...) and also to the Scripts (script viewers and syntax highlighting)
    Note: Setting Dark Theme will *NOT* generated dark themed installers. This option affects the Install Designer app only!

Version 1.0.1.12

Release: 2024-05-21
  • Support for NSISProject icon NSIS 3.10 (see changes)
  • Support for NSISProject icon Graphical Installer for NSIS, Build 2024.1 with Graphical Installer Wizard (see changes)
  • Minor fixes (null checks)

Version 1.0.1.11

Release: 2023-07-20
  • Support for NSISProject icon NSIS 3.09 (see changes)
  • Support for NSISProject icon Graphical Installer for NSIS, Build 2023.1 with Graphical Installer Wizard (see changes)
  • Support for InnoSetupProject icon Inno Setup 6.2.2 (see changes)
  • Support for InnoSetupProject icon Graphical Installer for Inno Setup, Build 6.2.2 with Graphical Installer Wizard (see changes)
  • InnoSetupProject icon Inno Setup script now uses // instead of ; for header comments.
    The generated script can be directly included from any [Code] section or any InnoSetupProject icon .iss file
  • Added check for unique Name property: Property 'Name' (case insensitive) of all controls must be unique (both NSISProject icon NSIS and InnoSetupProject icon Inno Setup)
    Undo Manager allows you to Undo this action (otherwise script will not compile correctly)

Version 1.0.1.10

Release: 2022-06-05
  • Support for NSISProject icon NSIS 3.08 (see changes)
  • Support for NSISProject icon Graphical Installer for NSIS 2022.1 and Graphical Installer Wizard 1.18.01 (see changes)
  • Support for InnoSetupProject icon Inno Setup 6.2.1 (see changes)
  • Support for InnoSetupProject icon Graphical Installer for Inno Setup 6.2.1 (Zinka) and Graphical Installer Wizard 1.18.01 (see changes)
  • Fixed bug with empty Open recent list: most recent files are shown correctly
  • Improved checking for Property validity: added checking Events (currently: "Name", "OnClick", "OnDblClick", "OnKeyDown", "OnKeyUp", "OnKeyPress", "OnChange") in all NSISProject icon NSIS and InnoSetupProject icon Inno Setup controls
    Undo manager allows you to undo this action (otherwise script will be not compiled correctly)
  • Official support for Windows 11 (also ARM)
  • Official support for electron-builder scripts (editing any electron-builder NSISProject icon .nsi or NSISProject icon .nsh or InnoSetupProject icon .iss scripts)
  • Installer now supports multiple processor architectures (x86, x64, arm64, ia64) - useful when running Windows on ARM

Version 1.0.1.9

Release: 2021-11-09
  • Controls placed on Designer now supports Global Variables mode (can be turned On / Off in Settings, separate for NSISProject icon or Inno Setup icon)
    Global NSISProject icon NSIS control's variables are marked with /GLOBAL parameter
    Global Inno Setup icon Inno Setup control's variables are defined directly in [Code] section (otherwise defined in page creator function)
  • Fixed exception when creating more than 10 menu shortcuts (Open recent file menu)
  • Improved opening .designer files with Drag & Drop: now it is possible to drop file anywhere in the window
  • Fixed creating NSISProject icon DateTimePicker control (also Cut/Copy/Paste operations on it)
  • Inno Setup icon Inno Setup script of Event Body now detects var..begin..end and automatically creates var / begin..end section(s) if present
  • Inno Setup icon Inno Setup Page Creator procedure was changed to Function which now returns TWizardPage (can be used for any purpose)
  • Fixed Context Menu: items are shown/enabled correctly according to the action
  • Added Open Containing Folder action (Right click the Designer) to explore the folder with the .designer and script files
  • App now automatically detects when .designer file is changed / deleted / renamed and offer to reload / close / rename / ignore the change(s)
  • Added possibility to open the same .designer file multiple times (new option in Settings)
  • Opening associated .designer file with Double click brings the main window into foreground
  • Improved help system: help is context sensitive (based on selection) and works from any NSISProject icon or Inno Setup icon dialog
  • App's status bar now contains icon for .designer file, NSISProject icon or Inno Setup icon script file and for Modified flag
  • Improved syntaxt highlighting in generated NSISProject icon or Inno Setup icon script files
  • Added Message Box with instructions when Compiler shows unknown Error (mostly because the Setup is already running or Install Designer was not launched as Administrator)
  • Tons of other UI and UX improvements for easier use and faster work!

Version 1.0.1.8

Release: 2021-09-19
  • Added possibility to define custom Body of Events (Functions) for NSISProject icon NSIS Function(s) and Inno Setup icon Inno Setup Event(s)
    The Body is saved in dialog's .designer file together with Event / Function - each has appropriate Body, set in section Events (Advanced).
  • NSISProject icon NSIS and Inno Setup icon Inno Setup scripts are now saved as UTF-8 with BOM
  • Fixed issues with creating TPanel component in Inno Setup icon Inno Setup
  • Added Errors Annotations in Script Preview form to better signalize Error location (previously only Message Box was shown)
  • Fixed issues with loading / saving components from / to .designer file
  • Several minor improvements for better user experience

Version 1.0.1.7

Release: 2021-07-25
  • Added searching (filtering) Properties on Names and also on Values (in Properties window) for currently selected Control
  • Support for InnoSetupProject icon Inno Setup 6.2.0 (see changes)
  • Support for InnoSetupProject icon Graphical Installer for Inno Setup 6.2.0 (Yanka) and Graphical Installer Wizard 1.17.01 (see changes)
  • Added support for new control and new/updated properties
  • Support for NSISProject icon NSIS 3.07 (see changes)
  • Support for NSISProject icon GI for NSIS 4.11.01 (Xolka) and Graphical Installer Wizard 1.16.01 (see changes)

Version 1.0.1.6

Release: 2021-01-11
Updated: 2021-04-07
  • Implemented 4 new controls: Link, DatePicker, HTrackBar, VTrackBar for NSISProject icon NSIS dialogs
  • Added several missing properties for both NSISProject icon NSIS and InnoSetupProject icon Inno Setup dialogs and controls
  • Support for InnoSetupProject icon Inno Setup 6.1.2 (See changes), supported new events and properties
  • Huge improvement in Undo Manager for both NSISProject icon NSIS and InnoSetupProject icon Inno Setup: Undo/Redo supports for sets (Style, ExStyle, Anchors, ...)
  • Undo Manager now sets NSISProject icon NSIS and InnoSetupProject icon Inno Setup Events properly (even if null) and triggers correct Property changed events
  • Changes on Control made by Undo Manager are applied immediately in Properties window (without need to reselect the control)
  • Possibility to Search (Filter) Properties (in Properties window) for currently selected Control
  • Fixed various "Object reference not set to an instance of an object" exceptions
  • Implemented import of InstallOptions .ini files for NSISProject icon NSIS dialogs (you can easily convert your existing "old" dialogs)
  • NSISProject icon NSIS and InnoSetupProject icon Inno Setup .designer files associated with Install Designer are opened in the same instance of the application (as separate tabs).

Version 1.0.1.5

Release: 2020-08-04
  • Whole GUI has been refreshed and modernized using DockPanel Suite (version 3) which is the Visual Studio inspired docking library for .NET WinForms (see its offical website). The ID now behaves more user friendly.
  • All "standard" features are now supported (like closing the tab with mouse wheel click, ...)
  • Added icons in various places: Toolbox window, Properties window, Script Preview window, ...
  • Unified fonts and colors across the whole user interface
  • Designer window now shows NSISProject icon NSIS or InnoSetupProject icon Inno Setup icon instead of text (to distinguish type of opened dialog)
  • Designer tab now supports long texts (file name and full dialog name is now displayed)
  • Support for NSISProject icon NSIS 3.06 and NSIS 3.06.1 (see changes)
  • Added checking for Property validity (e.g. property Name can use only characters [a-z][A-Z][0-9] and '_' ) for NSISProject icon NSIS and InnoSetupProject icon Inno Setup controls
  • Pressing F1 on any selected word in Script Preview window opens appropriate NSISProject icon NSIS or InnoSetupProject icon Inno Setup help file (useful if the compiler shows error in generated script)
  • Copy and Paste was improved: pasting the same component again and again now creates copy with unique name (LabelXyCopy, LabelXyCopy2, LabelXyCopy3, ...)
  • Installer: improved German translation

Version 1.0.1.4

Release: 2020-07-27
  • Added button for navigating to the Main script file for NSISProject icon NSIS (.nsi) and InnoSetupProject icon Inno Setup (.iss) scripts
  • Support for InnoSetupProject icon Inno Setup 6.0.5 (See changes)
  • Fixed bug: pressing Del key in Properties window which wrongly deleted the currently selected component in designer instead of deleting the character in Text property
  • Shortcut for deleting control(s) in designer is now Shift+Del
  • Fixed bug: pressing arrow keys in Properties window (to move the caret for Text property) now does not move the currently selected component in designer
  • Added "NSIS" / "Inno Setup" text to various dialogs and windows to better distinguish which installation system is used.
  • Improvements in Script Generator
  • Added possibility to select the installer's language on startup

Version 1.0.1.3

Release: 2020-03-22
  • Implemented Unlimited Undo + Redo for all actions performed in designer (also creating / deleting controls!), with default shortcuts Ctrl + Z / Ctrl + R
  • Added missing shortcuts for all toolbars and menus actions
  • Added Controls Z-order feature - it is posible to Bring the control to the Front (Ctrl + F) or Send the control to the Back (Ctrl + B) and adjust how the controls are layered on the dialog
  • Refreshed UI, updated toolbars's icons
  • Added Open Recent File feature to easily open most recent files (up to 10 most recent files).
  • Support for InnoSetupProject icon Inno Setup 6.0.4 (See changes)
  • Fixes and improvements in Script Generator and Dialog Designer

Version 1.0.1.2

Release: 2020-02-09
  • New NSISProject icon NSIS and InnoSetupProject icon Inno Setup properties group: Expert for advanced script generating
  • Property Redraws and No Events Handlers ( NSISProject icon NSIS and InnoSetupProject icon Inno Setup): When set the Events Handlers will NOT be generated into the script.
    This may cause compilation error(s) if you do not have them defined correctly in some other place!
  • Property Graphical Installer Redraws ( NSISProject icon NSIS): When set the controls will be updated to work in the Graphical Installer page.
    This may cause compilation error(s) if you do not have defined correct includes!
  • Improved UX/UI: removed redundant content from designer tabs
  • Improved UX/UI: separate statuses for designer and script file name
  • Application accepts passing filename as an argument ( NSISProject icon NSIS and InnoSetupProject icon Inno Setup .designer file) that is opened at startup
  • Installer can associate .designer files that are opened in Install Designer application (with custom icon)

Version 1.0.1.1

Release: 2019-12-15
  • Removed immediate compilation after some change is made in designer (better performance on slower computers)
  • Support for NSISProject icon NSIS 3.05 (see changes - Important note: ANSI targets are deprecated, consider moving to Unicode!)
  • Fixed Access Denied error when exiting the application - Layout.config is now saved in LocalAppData folder and warning is shown if file cannot be written
  • Fixed issues with multiple selected items in checklistbox in control's Properties (Anchors, Style, ExStyle, ...)
  • Cancel button in Settings dialogs closes the dialog
  • It is possible to use keyboard arrows to navigate in Settings dialog
  • Changed file modified flag to " ⚫ "

Version 1.0.0.1 (Gold)

Release: 2019-11-11
  • This is final release of Install Designer - Product is GOLD - no more beta!
  • Public version for Commercial and Personal use.

Version 0.0.5.11 (Beta)

Release: 2019-11-05
  • Public Beta version with tons of fixes and improvements.

Version 0.0.4.22 (Alpha)

Release: 2019-10-22
  • Public Alpha version.

Version 0.0.0.1 (Zero)

Release: 2019-10-03
  • This is initial release of Install Designer - first version available!

Legend - symbols used in this changelog

  • - special (very important) release of Install Designer external
  • - new feature (large change, usually with picture describing it) external
  • - small change or new small thing (sometimes not visible for user) external
  • - fixed bug, fixed issue, resolved problem external
  • - some part was reworked (no large change) external
  • - removed feature (feature will not be available in next release) external
  • - known bug (non critical bug which cannot be fixed at this moment) external
  • - item which we are currently working on external
  • By default NSIS is mentioned first, alternative for Inno Setup is enclosed in [square brackets].


Install Designer

EULA

Install Designer License Agreement

END-USER LICENSE AGREEMENT FOR INSTALL DESIGNER SOFTWARE

IMPORTANT-READ CAREFULLY

This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and unSigned, s. r. o. ("unSigned") for Install Designer and may include associated media, printed materials, and "online" or electronic documentation (collectively, "Software" or "Software Product"). By installing, copying, downloading, accessing or otherwise using the Software, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the Software.

SOFTWARE LICENSE

The Software is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The Software is licensed, not sold.

The capitalized terms used in this EULA are defined as follows:

"Updates” means all subsequent public releases of software including public beta releases, maintenance releases, error corrections, upgrades, enhancements, additions, improvements, extensions, modifications and successor versions.

1. GRANT OF LICENSE FOR SOFTWARE. unSigned grants you the following limited, non-exclusive rights:

a. Software. You may install and use the Software on a single computer. You may also make a copy of the Software for backup and archival purposes.
b. Electronic Documents. Solely with respect to any electronic documents included with the Software, you may make a reasonable number of copies (either hardcopy or electronic form), provided that (a) such copies shall only be used for internal purposes and solely in support of your authorized use of the Software, and (b) are not published or distributed to any third party.

2. LICENSE LIMITATIONS

a. Limitations on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, and disassemble the Software, including the protocols associated with the Software, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.
b. No Alterations. You may not alter any component of the Software, including without limitation the runtime environment, including without limitation the registry settings.

3. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS:

a. Transfer. You may not transfer your rights under this EULA to any third parties.
b. Rental. You may not rent, lease, or lend the Software.
c. Trademarks. This EULA does not grant you any rights in connection with any trademarks or service marks of unSigned.
d. Termination. Without prejudice to any other rights, unSigned may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the Software.
e. Upgrades and Successor Versions. unSigned may, at its option, make upgrades and/or successor versions of the Software. unSigned may make non-beta versions of such upgrades and/or successor versions of the Software ("Upgrades") available pursuant to the terms of this Agreement or, in unSigned's sole discretion, unSigned may condition the release of such Upgrades to you upon your acceptance of another EULA or other execution of a separate agreement
f. Support Services. unSigned may provide but is not obligated to provide technical or other support ("Support Services") for the Software. Any supplemental software code provided to you as part of the Support Services shall be considered part of the Software and subject to the terms and conditions of this EULA. With respect to technical information you provide to unSigned as part of the Support Services, unSigned may use such information for its business purposes, including for product support and development. unSigned will not utilize such technical information in a form that personally identifies you.
g. Technical Support for your Application. You are responsible for any and all maintenance, end-user support, technical support and updates for your Application(s).

4. INTELLECTUAL PROPERTY RIGHTS. All title and intellectual property rights in and to the Software (including but not limited to any images, photographs, animations, video, audio, music, text and "applets" incorporated into the Software), and any Updates thereof, and any copies you are permitted to make herein are owned by unSigned or its suppliers. All title and intellectual property rights in and to the Content which may be accessed through use of the Software is the property of the respective Content owner and may be protected by applicable copyright or other intellectual property laws and treaties. All rights not expressly granted are reserved by unSigned.

5. DISCLAIMER OF WARRANTIES. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, unSigned AND ITS SUPPLIERS PROVIDE THE SOFTWARE PRODUCT AND SUPPORT SERVICES (IF ANY) AS IS AND WITH ALL FAULTS, AND HEREBY DISCLAIM ALL WARRANTIES AND CONDITIONS, WHETHER EXPRESS, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, ANY (IF ANY) IMPLIED WARRANTIES, DUTIES OR CONDITIONS OF MERCHANTABILITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF RELIABILITY OR AVAILABILITY, OF ACCURACY OR COMPLETENESS OF RESPONSES, OF RESULTS, OF WORKMANLIKE EFFORT, OF LACK OF VIRUSES, AND OF LACK OF NEGLIGENCE, ALL WITH REGARD TO THE SOFTWARE PRODUCT, AND THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT OR OTHER SERVICES, INFORMATION, SOFTWARE, AND RELATED CONTENT THROUGH THE SOFTWARE PRODUCT OR OTHERWISE ARISING OUT OF THE USE OF THE SOFTWARE PRODUCT. ALSO, THERE IS NO WARRANTY OR CONDITION OF TITLE, QUIET ENJOYMENT, QUIET POSSESSION, CORRESPONDENCE TO DESCRIPTION, OR NON-INFRINGEMENT WITH REGARD TO THE SOFTWARE PRODUCT.

6. EXCLUSION OF INCIDENTAL, CONSEQUENTIAL AND CERTAIN OTHER DAMAGES. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL unSigned OR ITS SUPPLIERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, PUNITIVE, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, BUT NOT LIMITED TO, DAMAGES FOR LOSS OF PROFITS OR CONFIDENTIAL OR OTHER INFORMATION, FOR BUSINESS INTERRUPTION, FOR PERSONAL INJURY, FOR LOSS OF PRIVACY, FOR FAILURE TO MEET ANY DUTY INCLUDING OF GOOD FAITH OR OF REASONABLE CARE, FOR NEGLIGENCE, AND FOR ANY OTHER PECUNIARY OR OTHER LOSS WHATSOEVER) ARISING OUT OF OR IN ANY WAY RELATED TO THE USE OF OR INABILITY TO USE THE SOFTWARE, THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES, OR OTHERWISE UNDER OR IN CONNECTION WITH ANY PROVISION OF THIS EULA, EVEN IN THE EVENT OF THE FAULT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY, BREACH OF CONTRACT OR BREACH OF WARRANTY OF unSigned. OR ANY SUPPLIER, AND EVEN IF unSigned. HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

7. LIMITATION OF LIABILITY AND REMEDIES. NOTWITHSTANDING ANY DAMAGES THAT YOU MIGHT INCUR FOR ANY REASON WHATSOEVER (INCLUDING, WITHOUT LIMITATION, ALL DAMAGES REFERENCED ABOVE AND ALL DIRECT OR GENERAL DAMAGES), THE ENTIRE LIABILITY OF unSigned AND ANY OF ITS SUPPLIERS UNDER ANY PROVISION OF THIS EULA AND YOUR EXCLUSIVE REMEDY FOR ALL OF THE FOREGOING SHALL BE LIMITED TO THE GREATER OF THE AMOUNT ACTUALLY PAID BY YOU FOR THE SOFTWARE OR U.S. $5.00. THE FOREGOING LIMITATIONS, EXCLUSIONS AND DISCLAIMERS SHALL APPLY TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, EVEN IF ANY REMEDY FAILS ITS ESSENTIAL PURPOSE.

8. ENTIRE AGREEMENT. This EULA is the entire agreement between you and unSigned relating to the Software and it supersedes all prior or contemporaneous oral or written communications, proposals and representations with respect to the Software.


File <project>.iss

Every Inno Setup installer is stored in a .iss file. Script files are usually edited using external application. After you have finishing writing the script, the next and final step is called "Compilation" in the Setup Compiler.
Compiler creates a complete, ready-to-run Setup program based on your script. By default, this is created in a directory named "Output" under the directory containing the script.
For more information about Inno Setup script format see Inno Setup Scripting reference.

When you use Graphical Installer Wizard for creating Graphical Installer powered installers it will generate such .iss file. This file represents your installer. It does not matter how this file is called - we will call it <project>.iss.

Graphical Installer powered installer use another file called <project>.graphics.iss which contains aditional data required for proper inicialization of Graphical Installer skinning engine. All Graphical Installer powered installers MUST contain these two files (also they must be in the same directory!). If one of this files is missing, the installer will not be skinned properly.

The biggest advantage of Graphical Installer powered installers is the fact that is it really simple to add/remove skinning mechanism from .iss file.
Whole skinning mechanism can be removed by commenting out GRAPHICAL_INSTALLER_PROJECT symbol.
If this symbol is defined, appropriate values are loaded from <project>.graphics.iss file and function are called.

Typically this file looks like this:

The most important part is the [Code] section. There you can find procedures InitializeWizard(); CurPageChanged(CurPageID: Integer); and DeInitializeSetup(); which take care about drawing in Graphical Installer. In these 3 procedures all Graphical Installer drawing is processed. As you can see there are only 3 new lines to your script!

All settings (colors, pictures, etc) are defined in <project>.graphics.iss so your script file will not be choked with foreign code.


File <project>.graphics.iss

Script file containing all necessary settings required for correct working of Graphical Installer powered installer. It is an addition to file called <project>.iss which is a main installer file.

Tip:
Several projects can share your <project>.graphics.iss file - use this feature to easy creation of multi installers with the same look.

All Graphical Installer powered installers MUST contain both files (also they must be in the same directory). If this or <project>.iss is missing, the installer will not be skinned properly!

This file contains a lot of symbols - it is good to define also your symbols in this file.
We will describe the very basic symbols required for proper working of Graphical Installer powered installers.

  • #define public GRAPHICAL_INSTALLER_PROJECT

    This identifier is generated automatically and tells the compiler to compile <project>.iss file and <project>.graphics.iss as Graphical Installer project.

  • #define public TopPicture "skin-top.jpg"

    Image shown at the background of every page of installer. Required format:
    - .bmp .jpg .gif .png .tif file
    - Size must be exactly 690 (width) x 413 (height) pixels

    This image is generated via BitmapCutter.exe tool automatically during the Wizard.

  • #define public InnerPicture "skin-inner.jpg"

    Image shown at the inner dialog’s page of installer. Required format:
    - .bmp .jpg .gif .png .tif file
    - Size must be exactly 417 (width) x 237 (height) pixels

    This image is generated via BitmapCutter.exe tool automatically during the Wizard.

  • #define public BottomPicture "skin-bottom.jpg"

    Image shown at the inner dialog’s page of installer when RTL flag is set. Required format:
    - .bmp .jpg .gif .png .tif file
    - Size must be exactly 690 (width) x 87 (height) pixels

    This image is generated via BitmapCutter.exe tool automatically during the Wizard.

  • #define public ButtonPicture "button.png"

    PNG image for buttons in installer. Size must be exactly 80 pixels wide and 136 pixels high. Required format:
    - 4 button states inside of it: "normal" (orange area), "focused" (blue area), "pressed" (green area) and "disabled" (yellow area).

    - Size of each button state (orange, blue, green or yellow area in the left part of above picture) is 80 (width) x 34 (height) pixels.
    - Space [colored area around each button state] is used for better positioning of final button and it is not shown in final installer!
    - Only effective area of button is shown [80 x 22 pixels] - as you can see on the right side of above image.

    Button images should not have any text written on them. Text is loaded dynamically from Inno Setup language file!

    Tip:
    Do not fill area around button states with color as we did. We did it only for better imagination of button states.
    PNG images support transparency. Use advanced graphic programs like Gimp to edit PNG images.

  • #define public TextsColor "$FFFFFF"

    Color of all labels in installer. This color is defined as in common graphic programs or CSS colors. Its format is $RRGGBB where
    - RR is Red part of color (00 - FF)
    - GG is Green part of color (00 - FF)
    - BB is Blue part of color (00 – FF)

  • #define public HeadersColor "$FFFFFF"

    Color of all header texts in installer. This color is defined like the TextsColor.

  • #define public InversedColor "$FFFFFF"

    This color is used for TNewCheckListBox component - when some item is selected. This color is defined like the TextsColor.

  • #define public ButtonNormalColor "$FFFFFF"

    Color of all button texts in installer. This color is defined like the TextsColor and it is applied to all buttons when button is in regular state.

  • #define public ButtonFocusedColor "$FFFFFF"

    Color of all button texts in installer. This color is defined like the TextsColor and it is applied to all buttons when button is focused.

  • #define public ButtonPressedColor "$FFFFFF"

    Color of all button texts in installer. This color is defined like the TextsColor and it is applied to all buttons when button is pressed down.

  • #define public ButtonDisabledColor "$FFFFFF"

    Color of all button texts in installer. This color is defined like TextsColor and it is applied to all buttons when button is disabled.

    • See the next picture to determine where each color is applied to.


Graphical Installer for NSIS Manual

File <project>.nsi

Every NSIS installer is stored in a .nsi file. A NSIS script (.nsi file) contains Installer Attributes and Sections/Functions. You can also use Compiler Commands for compile-time operations. Required is the OutFile instruction, which tells NSIS where to write the installer, and one section.
For more information about NSIS script format see NSIS Scripting reference.

When you use Graphical Installer Wizard for creating Graphical Installer powered installers it will generate such .nsi file. This file represents your installer. It does not matter how this file is called - we will call it <project>.nsi.

Graphical Installer powered installer use another file called <project>.graphics.nsh which contains aditional data required for proper inicialization of graphical Installer skinning engine. All Graphical Installer powered installers MUST contain these two files (also they must be in the same directory!). If one of this files is missing, the installer will not be skinned properly.

The biggest advantage of Graphical Installer powered installers is the fact that is it really simple to add/remove skinning mechanism from .nsi file. Most of the settings required for skinning engine are stored in <project>.graphics.nsh.


Graphical Installer for NSIS Manual

File <project>.graphics.nsh

Header file containing all necessary settings required for correct working of Graphical Installer powered installer. It is an addtiotion to file called <project>.nsi which is a main installer file.

Tip:
.nsh cannot be compiled with NSIS. Only .nsi files can be compiled.

All Graphical Installer powered installers MUST contain both files (also they must be in the same directory). If this or <project>.nsi is missing, the installer will not be skinned properly!

This file contains a lot of symbols - it is good to define also your symbols in this file.
We will now describe the basic symbols required for proper working of Graphical Installer powered installers:

  • !define GRAPHICAL_INSTALLER_PROJECT_UID "{GraphicalInstaller-v2Example}"

    This identifier is generated automatically and it is used to recognize <project>.nsi file and <project>.graphics.nsh.
    Do not edit or delete it!

  • !define MUI_ICON "${NSISDIR}\Contrib\Graphics\Icons\modern-install.ico"
    !define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\modern-uninstall.ico"

    Defines for installer (uninstaller) icons. Icons must have the same size (or the same count, if you use multiple icons).

  • !define GRAPHICAL_INSTALLER_PRINT_LICENSE "Readme.txt"

    If this symbol is defined, Print button is added to page License; after it's click License file is sent to default printer.
    It is good to use License page file for this symbol. If you wish to use another file, do not forget to extract it into Temp directory.

  • !define GRAPHICAL_INSTALLER_SAVE_LICENSE "Readme.txt"

    If this symbol is defined, Save button is added to page License; after it's click Save as dialog is shown and user can save License file to his hard disk.
    It is good to use License page file for this symbol. If you wish to use another file, do not forget to extract it into Temp directory.

  • !define GRAPHICAL_INSTALLER_SPLASH_BITMAP "splash.bmp"

    Picture shown at installer start. It is a bitmap image (.bmp) with arbitrary size. Recommended format is 24bit file, but this is not necessary. Comment out this line if you do not wish to use splash bitmap.
    This picture can be transparent (it can has irregular form). Specify the color you want to have transparent in your script file (in function .onInit).

  • !define GRAPHICAL_INSTALLER_SPLASH_BITMAP_TIME "5000"

    This symbol sets how long the picture defined with GRAPHICAL_INSTALLER_SPLASH_BITMAP will be shown. Time is in miliseconds.

    • Tip:
    In next part you can define custom colors for texts and buttons. This format is exactly the same as you know it from other applications.
    Color format is 0x RRGGBB where
    - RR is Red part of color (00 - FF)
    - GG is Green part of color (00 - FF)
    - BB is Blue part of color (00 – FF)

  • !define GRAPHICAL_INSTALLER_LABELS_TEXT_COLOR "0xFFFFFF"

    Color of all labels in installer. Labels are all static texts in installer window except the headers.

  • !define GRAPHICAL_INSTALLER_HEADERS_TEXT_COLOR "0xFFFFFF"

    Color of all header texts in installer. Headers are usually at the top of each page in installer.

    • See the next picture to determine where each color is applied to:

    Colors in Graphical Installer

  • !define GRAPHICAL_INSTALLER_BACKGROUND_BITMAP "skin.jpg"

    Image shown at the background of every page of installer.
    Required format: .bmp .jpg or .gif file, with dimensions exactly 690 (width) x 496 (height) pixels

  • !define GRAPHICAL_INSTALLER_SMALL_BITMAP "skin-inner.jpg"

    Image shown at the inner dialog’s page of installer.
    Required format: .bmp .jpg or .gif file, with dimensions exactly 450 (width) x 228 (height) pixels

    This image is generated via BitmapCutter.exe tool automatically from Graphical Installer Wizard.

  • !define GRAPHICAL_INSTALLER_SMALL_BITMAP_RTL "skin-inner-rtl.jpg"

    Image shown at the inner dialog’s page of installer when RTL flag is set.
    Required format: .bmp .jpg or .gif file, with dimensions exactly 450 (width) x 228 (height) pixels

    This image is generated via BitmapCutter.exe tool automatically from Graphical Installer Wizard.

    • Tip: When you are creating installer mixing both RTL and LTR languages do not forget to create this RTL image and define this symbol.
    When user select LTR/RTL language an appropriate image is automatically shown. See Examples/RTL Languages Example for more info.

  • !define GRAPHICAL_INSTALLER_BUTTON_BITMAP "button.bmp"

    Picture for buttons in installer. Required format: Bitmap (.bmp) file with 4 button states inside of it: “normal”, “focused” “pressed” and “disabled”.

    Size (of each state) is 83 (width) x 26 (height) pixels, together 83 x 104 pixels.

    Button images should not have any text written on them. Text is loaded dynamically from NSIS language file!

  • !define GRAPHICAL_INSTALLER_BUTTONS_TEXT_COLOR "0xFFFFFF"

    Color of all button texts in installer. This color is used for all buttons when they are in normal state.

  • !define GRAPHICAL_INSTALLER_BUTTONS_TEXT_COLOR_FOCUSED "0xFFFFFF"

    Color of all button texts in installer. It is applied when a button has focus.

  • !define GRAPHICAL_INSTALLER_BUTTONS_TEXT_COLOR_PRESSED "0xFFFFFF"

    Color of all buttons texts in installer. It is applied to buttons when they are pressed down.

  • !define GRAPHICAL_INSTALLER_BUTTONS_TEXT_COLOR_DISABLED "0xFFFFFF"

    Color of all buttons texts in installer. It is applied to buttons when they are disabled.

  • !define GRAPHICAL_INSTALLER_BUTTON_BITMAP_MASK "button-mask.bmp"

    Mask picture - defines an area a of button which becomes transparent. Using this mask it is possible to create irregular buttons. The transparency color is taken from left-upper corner of picture (coordinates 0,0).
    Mask dimensions are the same as button state: 83x26 px.

  • !define GRAPHICAL_INSTALLER_SCROLLBAR_BITMAP "scrollbar.bmp"

    Picture for skinning scrollbars in the installer. All controls that have scrollbars (Tree Views, Rich Edits, ...) will use this picture for skinning their's scrollbars.


Graphical Installer for NSIS Manual

BitmapCutter.exe

Console application needed for creating background images. This tool is launched automatically from Graphical Installer Wizard. You can run this application anytime you wish to create dialog's images.
Application is present in both packages (the same version): Graphical Installer for NSIS and Graphical Installer for Inno Setup and it is located in Graphical Installer installation directory (${NSISDIR\Graphical Installer).

In newer versions of Graphical Installer a new application called BitmapCutterGUI.exe is present. BitmapCutter.exe and BitmapCutterGUI.exe have the same functionality - they create background images for your installers.

Tip:
We recommend you to use application BitmapCutterGUI.exe instead of old command line BitmapCutter.
It is a modern Windows application with intuitive and user friendly GUI (Graphical User Interface) and it is suitable for inexperienced users too.

Usage:

BitmapCutter.exe <command> filename.extension

Example:
BitmapCutter.exe -c background.bmp => Application will create file called background-inner.bmp - suitable for NSIS
BitmapCutter.exe -i background.bmp => background-top.bmp, background-inner.bmp, background-bottom.bmp - suitable for Inno Setup

Possible commands:

Command | Description | Supported version
-c | Creates inner image(s) for Graphical Installer for NSIS | All versions
-r | Creates RTL [Right-To-Left] inner image(s) for Graphical Installer for NSIS | Graphical Installer for NSIS v2.X, v3.X
-i | Creates inner image(s) for Graphical Installer for Inno Setup | Graphical Installer for Inno Setup v3.X
-u | Creates RTL [Right-To-Left] inner image(s) for Graphical Installer for Inno Setup | Graphical Installer for Inno Setup v3.X
-g | Launches BitmapCutterGUI.exe application | Graphical Installer for Inno Setup v3.2.X
-? | Displays help | All versions
-h | Displays help | All versions

Parameter filename.extension represents picture from which the inner image(s) will be created. This picture must be EXACTLY 690 pixels wide and 496 pixels high.

Supported image formats (extensions) and Graphical Installer versions:

Extension | Description | Graphical Installer for NSIS | Graphical Installer for Inno Setup
.bmp | Windows Bitmap up to 24bpp | All versions | All versions
.jpg .jpeg | JPEG File Interchange Format | Graphical Installer for NSIS v2.X, v3.X | Graphical Installer for Inno Setup v3.X
.gif | Graphics Interchange Format
.png | Portable Network Graphics | Graphical Installer for NSIS v3.3.X
.tif .tiff | Tagged Image File Format

Expression "v3.X" means all versions starting with "3." support this feature - e.g. v3.01, v3.1.01, v3.2.01, v3.3.01, ...

Tip:
If you use smaller (larger) image than 690x496 pixels the resulting image will be stretched (narrowed). Always use picture 690 pixels wide and 496 pixels high.
If your desired image does not meet some criteria a warning message is shown in application window.

Example - running BitmapCutter.exe with some parameter: note the message when user tries to process an smaller image.


Graphical Installer for Inno Setup Manual

BitmapCutterGUI.exe

Windows application with user friendly GUI (Graphical User Interface) for creating background images. This tool is a replacement of BitmapCutter.exe which is command line application.
Application is present in newer packages of Graphical Installer (the same version): Graphical Installer for NSIS and Graphical Installer for Inno Setup.

Tip: We recommend you to use BitmapCutterGUI.exe instead of old command line BitmapCutter.
It is a modern Windows application with intuitive and user friendly GUI (Graphical User Interface) and it is suitable for inexperienced users too.

Work with this application is very simple - everything is similar to old BitmapCutter application. The supported image formats, dimensions and other stuff is the same as in old application.

Usage:

  • Start the application if it is not running - by clicking it's icon in Start menu or directly by launching it. (The application is located in Graphical Installer installation directory - {Inno Setup 5}\Graphical Installer). Main window opens.

    BitmapCutterGUI - Main window

  • Step #1: Select file you want to process by clicking the Browse... button. This parameter represents picture from which the inner image will be created. This picture must be EXACTLY 690 pixels wide and 496 pixels high.

    Supported image formats (extensions):

    Extension | Description
    .bmp | Windows Bitmap up to 24bpp
    .jpg .jpeg | JPEG File Interchange Format
    .gif | Graphics Interchange Format
    .png | Portable Network Graphics
    .tif .tiff | Tagged Image File Format

  • Step #2: Select the output type: either Graphical Installer for NSIS or Graphical Installer for Inno Setup.

    • - If you wish to create background picture for Graphical Installer for NSIS select option 'Create background picture for Graphical Installer for NSIS'
      This option simulates command "-c" from BitmapCutter.exe

    • - For creating RTL (Right to Left) image check the 'Create RTL' checkbox next to this option. RTL images are used in some UNICODE languages like Hebrew.
      This option simulates command "-r" from BitmapCutter.exe

    • - If you wish to create background picture for Graphical Installer for Inno Setup select option 'Create background picture for Graphical Installer for Inno Setup'
      This option simulates command "-i" from BitmapCutter.exe

    • - For creating RTL (Right to Left) image check the 'Create RTL' checkbox next to this option. RTL images are used in some UNICODE languages like Hebrew.
      This option simulates command "-u" from BitmapCutter.exe

    You can click the Preview button to show preview of your future installer. Preview is based on the type you choose (NSIS/Inno Setup, RTL or not).
    Preview of installer is shown in a new window - you can close it with the ESC key.

    BitmapCutterGUI - Preview window

  • Step #3: Generate output image by clicking the Generate button. The resulting images are stored in the same directory as input image.

    If some error occurs during processing the image an message box is shown and error log is written to file.

    Tip:
    If you use smaller (larger) image than 690x496 pixels the resulting image will be stretched (narrowed). Always use picture 690 pixels wide and 496 pixels high.
    If your desired image does not meet some criteria a warning message is shown in application window.

  • Click Close button to exit the application.


SetupProjectsConverter.exe

Windows application with user friendly GUI (Graphical User Interface) that converts Microsoft Visual Studio Setup and Deploy projects (.vdproj), InstallShield Limited Edition projects (.isl) and Advanced Installer Projects (.aip) into NSIS (.nsi) and Inno Setup scripts (.iss).
Application is present in newer packages of Graphical Installer (the same version): Graphical Installer for NSIS and Graphical Installer for Inno Setup and also in Visual & Installer and Install Designer.

Tip: With this tools you can convert your existing installer into NSIS or Inno Setup really fast and easily!
It is a modern Windows application with intuitive and user friendly GUI and it is suitable for inexperienced users too.

Usage:

  • Start the application if it is not running - by clicking its icon in Start menu or directly by launching it. (The application is located in Graphical Installer installation directory - C:\ProgramData\Install Designer). Main window opens.

    SetupProjects Converter - Main window

  • Step #1: Select Source installation system on the left. This tool currently supports the next systems (any other installation system may be added in the future):

    - Microsoft Visual Studio Setup and Deploy projects (.vdproj)
    - InstallShield Limited Edition projects (.isl)
    - Advanced Installer Projects (.aip)

  • Step #2: Select Target installation system on the right. Choose either NSIS or Inno Setup.

  • Step #3: Click the Start button. Open file dialog appears. Choose a (source) file you want to convert (into target).

    Only supported extensions are shown in this dialog (they are marked in bold in step #1).

  • Step #4: Application is now processing the source and converting it to target. Progress of this operation is shown in separate window.

    SetupProjects Converter - Progress

    • - When conversion is finished new files (either .nsi or .iss script file) are created in the source folder and content of this folder is shown in Windows explorer.

    • - If any error appears the progress window stays open and no files are created.

    • - Please remember: not all features can be converted into NSIS or Inno Setup and you may need to adjust the resulting script file manually.

  • Tip: Use your preferred NSIS or Inno Setup editor to open and compile the generated script files.
    We recommend you to use Visual & Installer or Install Designer for an easy way of creating and editing script files. These tools provide a lot of functionality (like syntax highlighting, word completion, ...) which can resolve many errors occurring during development.


Graphical Installer Wizard

Install Designer installation package contains Graphical Installer Wizard - an optional tool for creating cool-looking skinned NSIS and Inno Setup installers (based on Graphical Installer) directly in RAD Studio. With it whole installer can be created by a few clicks - No manual writing is necessarry!

GIW

Some of it's features:

  • Creating cool-skinned installers directly from your favourite IDE
  • Support for NSIS and Inno Setup
  • Creating new installers
  • Converting existing projects
  • Building installers directly with other project types
  • Intuitive and user friendly GUI
  • RAD Studio toolbars for fast work
  • No manual writing or scripting is necessarry
  • FREE!

Graphical Installer Wizard is available in two versions: for NSIS and for Inno Setup. It is presented as two menus in RAD Studio IDE:

Toolbar NSIS Toolbar Inno Setup

Using these menus you can execute actions from Graphical Installer package (icons from left to right):

  • 1. Configure Graphical Installer Wizard
  • 2. Launch Graphical Installer Wizard
  • 3. Run BitmapCutter.exe
  • 4. View Graphical Installer manual
  • 5. Visit Graphical Installer website
  • 6. Show About dialog.

There are small differencies between NSIS and Inno Setup version of GIW, check these pages for details:

Graphical Installer Wizard for NSIS

Graphical Installer Wizard for Inno Setup

Important note for GIW:
GIW is only Wizard - it is ONLY tool (.dll library - plug-in for RAD Studio) for generating scripts for cool-looking installers! For compilation scripts generated with this tool you need to install Graphical Installer (for NSIS or for Inno Setup - at least Try-Out version) !!!

Compiling scripts generated by GIW requires header files and command line utilities which are located only in Graphical Installer package!!!

Please visit Graphical Installer website for latest information about this software.


Configuration of Graphical Installer Wizard for Inno Setup

Graphical Installer Wizard is user friendly tool that enables you to create the whole installer just by a few clicks. This tool is available as a plug-in for Embarcadero RAD Studio (Install Designer).

Part A - Installation check

  • A. Start RAD Studio (all editions: C++ Builder or Delphi).

  • B. In main menu you can see a new item – Install Designer. Click it.

    If you can see this menu then Graphical Installer Wizard was installed and configured succesfully and you can continue with Launching a Graphical Installer Wizard.
    Buf for sure check your configuration - Go to step 3 (Configuration dialog).

    Tip:
    All commands from this menu are also available throught the Install Designer toolbar.

    Click appropriate icon in toolbar to perform specific action.

Troubleshooting:

- if you cannot see the Inno Setup sub-menu from picture above then please check your Install Designer settings.
Plug-in is loaded by Install Designer at startup because it is represented as file called radGiwInnoSetup.dll located in Install Designer installation directory. Plug-in is being copied here during the setup process of Install Designer. Make a sure you checked it during installation of Install Designer.

- if you still cannot see it please check Install Designer installation directory for presence of this file. If the file is missing then close RAD Studio, copy radGiwInnoSetup.dll manually into this folder (from Graphical Installer Setup package) and start Part A again.

Part B - Configuration of plug-in

Tip:
You need to do this whole procedure only once - when launching the Wizard for the very first time. For next time the settings are remembered in .ini file.

  • 1. Start RAD Studio if you have closed it.

  • 2. In main menu select Install Designer -> GIW - Inno Setup.

    Visual Installer menu

  • 3. Click Configure Graphical Installer item.

    Tip:
    If you had Install Designer already installed, everything is set automatically during the setup process, so all you need is to check whether paths are correct.

  • 4. Configuration dialog is shown.

    If shown paths are correct go to point 6. Otherwise continue with next point.

  • 5. Click the button Browse [image] and select appropriate files:
    - For Compiler option browse to {Inno Setup 5} directory and select ISCC.exe
    - For Graphical Installer option browse to Inno Setup\Graphical Installer directory and select GraphicalInstaller_functions.iss

  • 6. When done click OK to save changes. Graphical Installer Wizard is now configured.

Warning:
If you reinstall Inno Setup or move it to other directory you need to update these settings. If something goes wrong the Wizard dialog will show an error message to inform you to change settings.

Now you can continue with Launching a Graphical Installer Wizard.


Graphical Installer for NSIS Manual

Configuration of Graphical Installer Wizard (for Install Designer)

Graphical Installer Wizard is user friendly tool for creating skinned Graphical Installer Powered Installers. If you installed Graphical Installer Wizard with automated installer then it should be configured correctly. Otherwise do following steps:

Part A - Installation check

  • A. Start RAD Studio (all editions: C++ Builder or Delphi).

  • B. In main menu you can see a new item – Install Designer. Click it.

    If you can see this menu then Graphical Installer Wizard was installed correctly and you can go to step 3 Configuration and then Launch the Graphical Installer Wizard.

    Tip:
    All commands from this menu are also available throught the Install Designer toolbar. Click appropriate icon in toolbar to perform specific action.

Troubleshooting:

  • If you cannot see the NSIS sub-menu or the toolbar from picture above then please check your Install Designer installation directory for presence of file radGiwNSIS.dll.
  • Plug-in is being copied here during the setup process of Install Designer. Make a sure you checked it during installation of Install Designer.

  • If you still cannot see it please do the Manual installation and start Part A again.

    • Part B - Configuration of plug-in

    Tip:
    You need to do this whole procedure only once - when launching the Wizard for the very first time. For next time the settings are remembered in .ini file.

    • 1. Start RAD Studio if you have closed it.

    • 2. In main menu select Install Designer -> GIW NSIS (all actions are also available from toolbar).

      Visual Installer menu

    • 3. Click Configure Graphical Installer item.

      Tip:
      If you had Install Designer already installed, everything is set automatically during the setup process, so all you need is to check whether paths are correct.

    • 4. Configuration dialog is shown.

      If shown paths are correct go to point 6. Otherwise continue with next point.

    • 5. Click the button Browse [image] and select appropriate files:
      - For Compiler option browse to NSIS directory and select makensis.exe
      - For Graphical Installer option browse to NSIS\Graphical Installer directory and select GraphicalInstaller_projects.nsh

    • 6. When done click OK to save changes. Graphical Installer Wizard is now configured.

    Warning:
    If you reinstall NSIS or move it to other directory you need to update these settings. If something goes wrong the Wizard dialog will show an error message to inform you to change settings.

    Now you can continue with Launching a Graphical Installer Wizard.


Graphical Installer for Inno Setup Manual

Description of Graphical Installer Wizard's pages

Wizard is similar to classic Inno Setup Wizard. We will describe only differences between them.
Please remember: Wizard does not cover all features of Inno Setup. Option 'Create new script file' will create only basic skeleton of your installer (but with all features from Graphical Installer package like background, skinned buttons, ...). To create fully featured installers use wizards provided in Inno Setup package, innoIDE, Inno Script Studio or other tools.

Warning:
Before using a Graphical Installer Wizard for the first time you need to configure it. Visit the Configuration of Graphical Installer Wizard section to do it.
You need to do this whole procedure only once - when launching this Wizard for the very first time. For next time the settings are remembered in .ini file.

Graphical Installer Wizard consists from these pages:

  • 1. Page Welcome

    You can find version information on this page (marked with bold font). It describes compatibility of Wizard and Graphical Installer.

  • 2. Page Graphical Installer project

    This is the most important page of the Wizard. Here you can choose what to do:
    a) Open file - to open your existing script file and convert it to Graphical Installer powered installer
    b) Create new script file - to create new Graphical Installer powered installer from the scratch

    Choose one option - what action you would like to perform.
    If you choose option Open file the Wizard will skip page Application Information and show page Graphic settings.

  • 3. Page Application Information

    This page is skipped if you choose option Open file in Page Graphical Installer project.

    There is read only edit box added to this page called Graphical Installer Project Identifier which is used for compiling script as Graphical Installer.
    This identifier is also used to recognize <project>.iss file and <project>.graphics.iss.

    Related symbol: GRAPHICAL_INSTALLER_PROJECT

  • 4. Page Graphic settings

    This page contains all visual style option required for proper skinning of Inno Setup installer. It is the most interesting page for Graphical Installer Wizard.

    Graphic settings for Graphical Installer:

    There is new text field called Background picture which represents the main image for installer's skin.
    Write path to desired file or click button Browse [image] to select file from your machine.

    New text field called Texts color which defines color for common texts in installer.
    You can type color manually as $RRGGBB or click button Browse [image] to select desired color from color selection dialog.

    New text field called Headers color which defines color for headers texts in installer.
    You can type color manually as $RRGGBB or click button Browse [image] to select desired color from color selection dialog.

    Graphic settings for buttons:

    There is new text field called Buttons picture which represents the image for installer button.
    Write path to desired file or click button Browse [image] to select file from your machine.

    New text field called Normal color which defines color for all buttons in installer.
    You can type color manually as $RRGGBB or click button Browse [image] to select desired color from color selection dialog.

    New text field called Pressed color which defines color for buttons in installer when the button is pressed down.
    You can type color manually as $RRGGBB or click button Browse [image] to select desired color from color selection dialog.

    New text field called Focused color which defines color for all buttons in installer when the button received focused.
    You can type color manually as $RRGGBB or click button Browse [image] to select desired color from color selection dialog.

    New text field called Disabled color which defines color for buttons in installer when the button is disabled.
    You can type color manually as $RRGGBB or click button Browse [image] to select desired color from color selection dialog.

    Related symbol: TopPicture
    Related symbol: TextsColor
    Related symbol: HeadersColor
    Related symbol: ButtonPicture
    Related symbol: ButtonNormalColor
    Related symbol: ButtonFocusedColor
    Related symbol: ButtonPressedColor
    Related symbol: ButtonDisabledColor

    Tip: For background picture use image with 690 x 496 pixels. This must be set! Supported formats: .bmp .jpg .gif .png .tif.
    For button picture use .png image with 80 x 136 pixels. This must be set!

  • 5. Page Finish

    When you press the Finish button all changes you made will be written into <project>.iss and <project>.graphics.iss files. You can select project name and location in Save dialog. Background image will be converted - you can notice it as a black-console window which opens for few seconds when the script is being written to file.
    In few moments generated files - main project.iss file and <project>.graphics.iss file are opened in default Inno Setup editor.

    Warning:
    Background of the installer consists from three separate images: the background image itself - this one you choose in Wizard - and the inner dialog’s image, top image and bottom image (generated automatically by extern application from Wizard).
    However you choose only background image the inner dialog’s image is also used to redraw installer’s dialogs controls, so it must be created.

    If you are importing some skin or image, you need to generate this small image manually – run the BitmapCutter.exe tool (see BitmapCutter for more info).


Graphical Installer for NSIS Manual

Description of Graphical Installer Wizard's pages

Tip:
Press F1 (or click the question mark [image] symbol in the corner of window) anytime to show help for current page of Wizard.

  • 1. Page Welcome

    You can find version information on this page (marked with bold font). It describes compatibility of Wizard and Graphical Installer.

  • 2. Page Graphical Installer project

    This is new page added to the Wizard and it determines how your Graphical Installer Powered Installer will be created. You have two options:

    Open file - use this option to convert any existing script (NSIS script based on MUI2)

    This option is suitable in case you have a working NSIS script (.nsi file) for your installer and you wish to enhance it (to skin it with Graphical Installer).
    Wizard will convert your script into Graphical Installer Powered Installer and it will generate Graphical Installer Project Unique Identifier (GIP_UID) which is used in file GraphicalInstaller_projects.nsh.
    This identifier is generated automatically from script file you choose and it is used to recognize <project>.nsi file and <project>.graphics.nsh.

    In this mode Wizard will skip few pages and it will jump directly to Page 9 (Page Uninstaller & Other options ).

    Warning:
    After converting your scripts there still may be need to adjsut your code manually - not all features can be converted automatically!
    If something unusual is found in your script the Wizard will show a warning. Also errors can be shown if your code is tool old or deprecated!

    Create new script file - use this option to create new skinned installer from scratch (Graphical Installer Powered Installer).

    If you select this options Wizard offers you many options - how your new installer will look, which files it will contain and many other features.

    In this mode Wizard will continue with next Page 3 (Page Application Information).

  • 3. Page Application Information

    There is one edit box added to this page called Graphical Installer Project Unique Identifier (GIP_UID) which is used in file GraphicalInstaller_projects.nsh.
    This identifier is generated automatically and it is used to recognize <project>.nsi file and <project>.graphics.nsh.

    Related symbol: GRAPHICAL_INSTALLER_PROJECT_UID

  • 4. Page Setup Options

  • 5. Page Application directory and structure

    There is one checkbox added to this page called Add Print button to the license page which is used for printing license file.
    If checked, Print button is added to page License; after it's click License file is sent to default printer.

    New checkbox called Add Save button to the license page which is used for saving license file.
    If checked, Save button is added to License page; after it's click the Save as dialog is shown and user can save license file to his disk.

    Related symbol: GRAPHICAL_INSTALLER_PRINT_LICENSE

    Related symbol: GRAPHICAL_INSTALLER_SAVE_LICENSE

  • 6. Page Application files

  • 7. Page Application icons

  • 8. Page Execute after setup

  • 9. Page Uninstaller & Page Graphical Installer Project settings

    Design of this page depends on the value you selected on Page 2:

    - if you selected option Create new script file then Page Uninstaller is shown (left picture).

    There is new groupbox added to this page called Use splash image which is used for splash bitmap (shown when installer starts).
    If checked, Splash picture is shown for defined time (Show splash for) in miliseconds.

    New checkbox called Add support for RTL languages which is used for definition of RTL image.
    If checked, RTL version of background images is automatically generated.

    - if you selected option Open file then Graphical Installer Project settings page is shown (right picture).

    There is one edit box added to this page called Graphical Installer Project Unique Identifier (GIP_UID) which is used in file GraphicalInstaller_projects.nsh.
    This identifier is generated automatically and it is used to recognize <project>.nsi file and <project>.graphics.nsh.

    Related symbol: GRAPHICAL_INSTALLER_SPLASH_BITMAP
    Related symbol: GRAPHICAL_INSTALLER_SPLASH_BITMAP_TIME
    Related symbol: GRAPHICAL_INSTALLER_SMALL_BITMAP_RTL
    Related symbol: GRAPHICAL_INSTALLER_PROJECT_UID

    Tip:
    If you want to create installer which uses both RTL & LTR languages you need to check Add support for RTL languages.

  • 10. Page Graphic settings

    This is new page added to the wizard. It contains core items for proper skinning of NSIS installer. This is the most important page for Graphical Installer Wizard.

    Graphic settings for Graphical Installer:

    There is new text field called Background picture which represents the main image for installer's skin.
    Write path to desired file or click button Browse [image] to select file from your machine.

    New text field called Texts color which defines color for common texts in installer.
    You can type color manually as 0x RRGGBB or click button Browse [image] to select desired color from color selection dialog.

    New text field called Headers color which defines color for headers texts in installer.
    You can type color manually as 0x RRGGBB or click button Browse [image] to select desired color from color selection dialog.

    Graphic settings for buttons:

    There is new text field called Buttons picture which represents the image for installer button.
    Write path to desired file or click button Browse [image] to select file from your machine.

    New text field called Buttons texts color which defines color for all buttons in installer.
    You can type color manually as 0x RRGGBB or click button Browse [image] to select desired color from color selection dialog.

    New text field called Buttons down color which defines color for buttons in installer when the button is pressed down.
    You can type color manually as 0x RRGGBB or click button Browse [image] to select desired color from color selection dialog.

    Related symbol: GRAPHICAL_INSTALLER_BACKGROUND_BITMAP
    Related symbol: GRAPHICAL_INSTALLER_LABELS_TEXT_COLOR
    Related symbol: GRAPHICAL_INSTALLER_HEADER_TEXT_COLOR
    Related symbol: GRAPHICAL_INSTALLER_BUTTON_BITMAP
    Related symbol: GRAPHICAL_INSTALLER_BUTTONS_TEXT_COLOR
    Related symbol: GRAPHICAL_INSTALLER_BUTTONS_TEXT_COLOR_DOWN

    Tip: For background picture use image with 690 x 496 pixels. This must be set! Supported formats: .bmp .jpg .gif.
    For button picture use .bmp image with 47 x 45 pixels. This must be set!

  • 11. Page Finish

    When you press the Finish button all changes you made will be written into <project>.nsi and <project>.graphics.nsi files. You can select project name and location in Save dialog. (If you selected "Open file" mode on Page 2 then Save dialog is not shown and selected file is converted.) Background image will be converted - you can notice it as a black-console window which opens for few seconds when the script is being written to file.
    In few moments generated files - main project .nsi file and <project>.graphics.nsh file are opened in your NSIS editor.

    Warning:
    Background of the installer consists from two separate images: the background image itself - this one you choose in Wizard - and the inner dialog’s image (generated automatically by extern application from Wizard).
    However you choose only background image the inner dialog’s image is also used to redraw NSIS’s dialogs controls, so it must be created.

    If you are importing some skin or image, you need to generate this small image manually – run the BitmapCutter tool manually.


Graphical Installer Wizard for Inno Setup

Install Designer is an Embarcadero RAD Studio expert for creating Inno Setup installers. It integrates Inno Setup with Embarcadero RAD Studio and allows you to create and build Inno Setup projects right within RAD Studio getting all benefits of this environment.

Notice:
There is no difference in Graphical Installer Wizard among various IDEs. Graphical Installer Wizard is always the same - the pages, the behaviour, the generated installer, etc. are always the same.

There are small differencies in installation and configuration. But your resulting installer (script file) is never affected.

Configuration of Graphical Installer Wizard (Inno Setup)

Launching a Graphical Installer Wizard (Inno Setup)
Description of Graphical Installer Wizard's pages

Graphical Installer Wizard (for Install Designer) is stored in file ${NSISDIR}\GIW\Install Designer\radGiwInnoSetup.dll.

Manual installation of Graphical Installer Wizard (for Install Designer)

  • Copy file radGiwInnoSetup.dll (from ${NSISDIR}\GIW\Install Designer\) into Install Designer installation directory (usually C:\Program Files (x86)\Install Designer\).
  • Restart the RAD Studio and check the Configuration of Graphical Installer Wizard.


Graphical Installer for NSIS Manual

Using Graphical Installer Wizard for NSIS

Graphical Installer logo

Visual Installer logo

Install Designer is an Embarcadero RAD Studio expert for creating NSIS installers. It integrates NSIS with Embarcadero RAD Studio and allows you to create and build NSIS projects right within RAD Studio getting all benefits of this environment.

Notice:
There is no difference in Graphical Installer Wizard among various IDEs. Graphical Installer Wizard is always the same - the pages, the behaviour, the generated installer, etc. are always the same.

There are small differencies in installation and configuration. But your resulting installer (script file) is never affected.

Configuration of Graphical Installer Wizard (NSIS)

Launching a Graphical Installer Wizard (NSIS)

Description of Graphical Installer Wizard's pages

Graphical Installer Wizard (for Install Designer) is stored in file ${NSISDIR}\GIW\Install Designer\radGiwNSIS.dll.

Manual installation of Graphical Installer Wizard (for Install Designer)

  • Copy file radGiwNSIS.dll (from ${NSISDIR}\GIW\Install Designer\) into Install Designer installation directory (usually C:\Program Files (x86)\Install Designer\).
  • Restart the RAD Studio and check the Configuration of Graphical Installer Wizard.


Launching a Graphical Installer Wizard for Inno Setup

We have developed an user friendly tool which enables you to create installer just by a few clicks. This tool is called Graphical Installer Wizard - a plug-in for Install Designer (RAD Studio).

Warning:
Before using a Graphical Installer Wizard for the first time you need to configure it. Visit the Configuration of Graphical Installer Wizard section to do it.

You need to do this whole procedure only once - when launching this Wizard for the very first time. For next time the settings are remembered in .ini file.

Launching Graphical Installer Wizard:

  • 1. Start RAD Studio (all editions: C++ Builder or Delphi).

  • 2. In main menu select Install Designer -> GIW - Inno Setup.

  • 3. Click Wizard item.

    Tip:
    All commands from this menu are also available throught the Install Designer toolbar.

    Click appropriate icon in toolbar to perform specific action.

  • 4. The Graphical Installer Wizard for Inno Setup window appears.

    Tip:
    To navigate in Wizard dialogs use [image] and [image]. To quit the Wizard click [image].

    Wizard is similar to classic wizards. This manual describes only differences between them.

You can find more details about Wizard's pages in Description of Graphical Installer Wizard's pages.


Graphical Installer for NSIS Manual

Launching a Graphical Installer Wizard for NSIS

Warning:
Before using a Graphical Installer Wizard for the first time you need to configure it. Visit the Configuration of Graphical Installer Wizard section to do it.

You need to do this whole procedure only once - when launching this Wizard for the very first time. For next time the settings are remembered in .ini file.

Launching Graphical Installer Wizard:

  • 1. Start RAD Studio (all editions: C++ Builder or Delphi).

  • 2. In main menu select Install Designer -> GIW - NSIS.

  • 3. Click Wizard item.

    Tip:
    All commands from this menu are also available throught the Install Designer toolbar. Click appropriate icon in toolbar to perform specific action.

  • 4. The Graphical Installer Wizard for NSIS window appears.

    Tip:
    To navigate in Wizard dialogs use [image] and [image]. To quit the Wizard click [image].

You can find more details about Wizard's pages in Description of Graphical Installer Wizard's pages.